Canonical和Google今天宣布推出Alpha版Google Flutter移动应用SDK,以便在Linux桌面上构建漂亮的移动和Web应用。

由Google创建的开源和跨平台UI工具箱和门户框架Flutter现在可以在Linux上使用,这要归功于Canonical为GNU/Linux发行版提供的Snap通用软件部署和程序包管理系统。

Flutter可以用于为一些主要的移动和桌面平台开发和部署跨平台应用,包括Android, iOS, macOS, Windows,甚至Google Fuchsia。而且,到目前为止,它还可以在Linux上使用。

 Canonical说,“ Flutter的原生跨平台故事正在迅速发展,Canonical希望成为领导者。通过在Flutter中启用桌面Linux支持,Canonical使得应用程序开发人员可以非常轻松地通过Snap Store(Linux应用程序商店)为Linux用户发布他们的应用程序。”

Flutter for Linux可以作为Snap应用程序使用,您可以在任何支持Snap的GNU/Linux发行版中从Snap Store下载并安装,包括Ubuntu,Debian,elementary OS,Arch Linux,KDE neon,Fedora,openSUSE,Manjaro,CentOS和Red Hat Enterprise Linux。

linuxmi@linuxmi:~/www.linuxmi.com$ sudo snap install flutter –classic
[sudo] linuxmi 的密码:
flutter 0+git.aca15f8 from Flutter Team✓ installed

但是,请记住,这是Alpha版,因此可能存在错误或崩溃。Canonical表示,他们已经组建了一支开发人员团队,与Google的开发人员一起努力,以改善大多数GNU/Linux发行版的Flutter体验,并使其与其他受支持的平台保持一致。

要了解有关如何使用Flutter SDK在Linux机器上构建桌面应用程序的更多信息,以及如何从Flutter访问Linux中的原生代码、将最终应用程序发布到Snap Store,甚至查看一些Flutter Linux桌面应用程序示例,您应该查看Canonical的公告

发表评论

电子邮件地址不会被公开。 必填项已用*标注